Subject: Re: pdksh and UNC paths
From: [email-masked] (Corinna Vinschen)

19 Dec 1998 01:30:28 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "$Bill Luebkert" <[email-masked]>, [email-masked]

$Bill Luebkert wrote:
> 
> Corinna Vinschen wrote:
> >
> > $Bill Luebkert wrote:
> > >
> > > That would be nice.  tcsh, less, man and vi are indispensable for me.
> > > I'm having trouble getting Corinna's tcsh to work.  The native one
> > > seems to work fine.
> >
> > What trouble? Can you explain it?
> > I'm wondering, because I'm using tcsh every day, and I don't
> > have any problem with it.
> 
> I start it and it hangs for awhile and then exits back to the comand.com
> prompt.  No output, no indication of error, nothing.  Just exits.
> 
> I tried changing my home dir so it wouldn't find my rc file etc., but
> got the same result.
> 
> Just tried it again and it appears to have to do with having c:/fubar
> type paths instead of //c/fubar in my startup files.

tcsh isn't able to deal correct with dos paths. Drive letters are absolutely
unknown to it. UNIX paths are the way for it.

> 
> It's working now, but I haven't tested it much yet.  I'm having trouble
> getting my path set and with paths in general.  It used to handle drive:
> paths fine, now it seems really confused.  It can't find things on the
> path, but if I use full path to command it works ok.
> 
> I was on B18 and there may have been a lot of changes I don't know
> about that happened between 18 and 20.
> 
> I'll play with it some more, but I don't like the way it's acting.

I don't see this as an error in the cygwin port of tcsh. It's a
U*X like environment and a cygwin port has to deal with U*X
like paths, not with DOS paths.

If you're not willing, to use U*X like paths, the cygwin port of tcsh
isn't right for you. In this case you will have more fun with a
native port. You can do this with a native compiler by yourself.
The tcsh-6.08.00 source have WINNT defines in the code. I haven't
tested this, because it's not of interest for me.

Regards,
Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".